# Audiences

### How audiences works?

An audience represents the traffic that occurs on your website. On AB Tasty audiences could be used in the targeting of campaigns and could be of type `segment` and `trigger`. When AB Tasty's tag is checking an audience it returns a boolean depending on whether or not the user matches the audience.

### Audience criterias

**Trigger audience:**

| ID | Name                    | Data used by the criteria                                                                                                                                       |
| -- | ----------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 17 | Device                  | Entry [`ABTastyUA`](/client-side/tag/tag-cookies.md#abtastyua) of the sessionStorage ; data provided by [Yauaa](https://yauaa.basjes.nl/)                       |
| 18 | IP                      | Entry [`ABTastyGeoloc`](/client-side/tag/tag-cookies.md#abtastygeoloc) of the sessionStorage                                                                    |
| 19 | Geolocation             | Entry [`ABTastyGeoloc`](/client-side/tag/tag-cookies.md#abtastygeoloc) of the sessionStorage ; data provided by [MaxMind](https://www.maxmind.com/)             |
| 21 | Browser Language        | `navigator.language` global variable                                                                                                                            |
| 22 | Landing Page            | From `ABTastySession` cookie key `lp` ; saved at the first page of the session                                                                                  |
| 23 | Browser                 | Entry [`ABTastyUA`](/client-side/tag/tag-cookies.md#abtastyua) of the sessionStorage ; data provided by [Yauaa](https://yauaa.basjes.nl/)                       |
| 25 | Source Type             | From `ABTastySession` cookie key `referrer` ; saved at the first page of the session                                                                            |
| 26 | Previous Page           | `document.referrer` or `ABTasty.urlHistory.previous`                                                                                                            |
| 27 | Screen size             | `window.screen.width`                                                                                                                                           |
| 28 | JS Variable             | Variable from the `window` global scope; If needed the variable name is split by the dot `.` to dig into an object JSON or an array                             |
| 30 | Source                  | From `ABTastySession` cookie key `referrer` ; saved at the first page of the session                                                                            |
| 31 | Minimum of pages viewed | `ABTasty` cookie key `pvis`                                                                                                                                     |
| 32 | Same day visit          | `ABTasty` cookie key `pst`                                                                                                                                      |
| 33 | AdBlock                 | `window.ABTasty.ADBlockEnabled` ; filled by Tag trying to load a fake advertisement file                                                                        |
| 35 | Weather                 | Entry [`ABTastyGeoloc`](/client-side/tag/tag-cookies.md#abtastygeoloc) of the sessionStorage ; data provided by [Open Weather Map](https://openweathermap.org/) |
| 38 | Ecommerce Variable      | Entry `ABTastyData` of the localStorage                                                                                                                         |
| 39 | Url Parameters          | Query parameters of the current `window.location.href`                                                                                                          |
| 40 | Code                    | N/A                                                                                                                                                             |
| 43 | Element                 | On DOM by using `document.querySelectorAll` method                                                                                                              |
| 44 | Data layer              | Direct variable in the `window` scope depending of the [data layer settings](https://app2.abtasty.com/settings/integration/datalayer)                           |
| 47 | Keyword                 | *(Deprecated)* Entry `ABTastyData` of the localStorage                                                                                                          |
| 51 | Visited Pages           | Entry `ABTastyData` of the localStorage                                                                                                                         |

**Segment audience:**

| ID | Name                              | Data used by the criteria                                                                                                                                           |
| -- | --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1  | \[DMP] Eulerian                   | Entry `DCInfos` of the sessionStorage ; data fetch at the first page viewed                                                                                         |
| 2  | \[DMP] Tag Commander              | Global variable: `window.tc_vars.tc_data_segmentID`                                                                                                                 |
| 4  | \[DMP] Bluekai                    | Global variable: `window.campaigns.bk_results`                                                                                                                      |
| 5  | \[DMP] Ysance                     | Global variable: `window.ytVisitorInformation`                                                                                                                      |
| 6  | \[DMP] Advalo                     | Entry `DCInfos` of the sessionStorage ; data fetch at the first page viewed or `window.advalo.segment_name`                                                         |
| 7  | \[DMP] Krux                       | Global method: `window.Krux('ns:{{KruxNamespace}}', 'get', 'user_segments')` or Global variable: `window.Krux.{{KruxNamespace}}.segments` or `window.Krux.segments` |
| 8  | \[DMP] Weborama                   | Entry `ABTastyWeborama` of the sessionStorage                                                                                                                       |
| 10 | \[DMP] Adobe Audience Manager     | Cookie `aam_abtasty` create by Adobe script                                                                                                                         |
| 20 | Cookie                            | `document.cookie`                                                                                                                                                   |
| 24 | New/Returning visitor             | `ABTasty` cookie key `ns`                                                                                                                                           |
| 29 | Campaign Exposure                 | `ABTasty` cookie key `th`                                                                                                                                           |
| 34 | Number of session                 | `ABTasty` cookie key `ns`                                                                                                                                           |
| 36 | Days since last session           | `ABTasty` cookie key `pst`                                                                                                                                          |
| 37 | Days since first session          | `ABTasty` cookie key `fst`                                                                                                                                          |
| 41 | Visitor attributes                | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 42 | Action Tracking                   | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 45 | Last purchase                     | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 46 | Purchase frequency                | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 48 | \[DMP] Tealium AudienceStream     | Entry `ABTastyTealium` of the sessionStorage or `tealium_va_{{tealiumAccountName}}_{{tealiumProfileName}}` of the localStorage                                      |
| 49 | Engagement level                  | Entry `ABTastyEngagementLevel` of the sessionStorage ; data fetch at the first page viewed                                                                          |
| 50 | Content interest                  | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 52 | [Page interest](#page-interest)   | Entry `ABTastyData` of the localStorage                                                                                                                             |
| 53 | Integration Provider              | Entry `ABTastyCustomSegments` of the sessionStorage                                                                                                                 |
| 54 | [Abandoned Cart](#abandoned-cart) | Entry [`ABTastyAbandonedCart`](/client-side/tag/tag-cookies.md#abtastyabandonedcart) of the sessionStorage                                                          |

#### 52. Page Interest <a href="#page-interest" id="page-interest"></a>

Based on preferences of navigation on the website. This criteria is usable in the segment builder, and the segments based on it will get KPIs in the segment KPIs page.

This segment criteria is linked to the trigger criteria “visited pages” - it means that they are both based on the number of pages visited by the user. The difference is: the trigger criteria only considers the current session, as the segment criteria considers information about visited pages through different sessions.

The tag take the visited pages information from `ABTastyData` (local storage) then we check that the number of pages that match with the condition are more than the number of minimun pages required to the client on the page audience.

#### 54. Abandoned Cart <a href="#abandoned-cart" id="abandoned-cart"></a>

Based on last initiated cart by visitor during previous session.\
This criteria is usable in the segment builder, and the segments based on it will get KPIs in the segment KPIs page.

At the first page of each session the tag is automatically calling the [Abandoned Cart service](/client-side/tag/tag-cookies.md#abtastyabandonedcart) when an active campaign is using this targeting. Once the data has been fetched, the tag is using `ABTastyAbandonedCart` (session storage) and match the total products number or total price of the cart with the condition define in the criteria.

### Targeting conditions

| ID | Name                       | Description                                                                                           |
| -- | -------------------------- | ----------------------------------------------------------------------------------------------------- |
| 1  | Equals                     | Strictly comparaison between targeting value and data used by the targeting                           |
| 2  | Not Equals                 | Strictly negative comparaison between targeting value and data used by the targeting                  |
| 3  | All Values                 | All values are accpeted                                                                               |
| 10 | Contains                   | Apply on strings and arrays ; data used by the targeting should contains the targeting value          |
| 11 | RegExp                     | Apply on strings ; apply a regular expression on the data used by the targeting                       |
| 13 | Not Contains               | Apply on strings and arrays ; data used by the targeting should not contains the targeting value      |
| 20 | Greater Than               | Apply on numbers ; data used by the targeting should be greater than the targeting value              |
| 21 | Lower Than                 | Apply on numbers ; data used by the targeting should be lower than the targeting value                |
| 22 | Greater Than Or Equals     | Apply on numbers ; data used by the targeting should be greater than or equals to the targeting value |
| 23 | Lower Than Or Equals       | Apply on numbers ; data used by the targeting should be lower than or equals to the targeting value   |
| 24 | Is Between                 | Apply on numbers ; data used by the targeting should be between the targeting values                  |
| 30 | \[Weather] Clear           | Clear sky                                                                                             |
| 31 | \[Weather] Clouds          | Clouds in the sky                                                                                     |
| 32 | \[Weather] Drizzle         | Drizzle weather                                                                                       |
| 33 | \[Weather] Dust            | There is dust in the atmosphere                                                                       |
| 34 | \[Weather] Fog             | There is fog in the atmosphere                                                                        |
| 35 | \[Weather] Mist            | There is mist in the atmosphere                                                                       |
| 36 | \[Weather] Rain            | Rain weather                                                                                          |
| 37 | \[Weather] Smoke           | There is smoke in the atmosphere                                                                      |
| 38 | \[Weather] Snow            | Snow weather                                                                                          |
| 39 | \[Weather] Thunderstorm    | Thunderstorm weather                                                                                  |
| 40 | \[URL] Ignore Parameters   | Apply on URL ; targeting should not take care of query parameters nor hash parameters                 |
| 41 | Is Declared                | Data used by the targeting is defined                                                                 |
| 42 | Is Not Declared            | Data used by the targeting is not defined                                                             |
| 43 | \[Element] ID Selector     | Apply on DOM Element ; should look for an element with a specific ID                                  |
| 44 | \[Element] Class Selector  | Apply on DOM Element ; should look for an element with a specific class                               |
| 45 | \[Element] Custom Selector | Apply on DOM Element ; should look for an element that match the selector                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/client-side/tag/tag-audiences.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
